<?php
//ini_set('display_errors',1);
session_start();
date_default_timezone_set('America/Lima');

require_once ("../../config/Cado.php");

require_once ("../gestionprecio/cGestionprecio.php");
$oGestionprecio= new cGestionprecio();

require_once ("../preciogestion/cPreciogestion.php");
$oPreciogestion = new cPreciogestion();

require_once("../formatos/formato.php");

$dts1 = $oGestionprecio->mostrarPuntoVenta();
$numrows1 = mysqli_num_rows($dts1);

?>
		<div class="col-lg-12 col-md-12 col-12 " style="height:5px;" ></div>		
		<span id="btn_seleccionartodo" class="btn btn-primary btn-xs"> Seleccionar todos</span>
		<span id="btn_deseleccionartodo" class="btn btn-danger btn-xs"> Restablecer</span>
		<div class="col-lg-12 col-md-12 col-12 " style="height:5px;" ></div>
		
		<table class="table table-bordered table-striped" >	
		<tr>
		<td>PUNTO VENTA</td>
		<td>PRE. COS.</td>
		<td>PRE. VEN.</td>
		<td>PRE. VEN. F.</td>
		<td>BONIFICACION</td>
		</tr>
		
	    <?php
		while($dt=mysqli_fetch_array($dts1)){

	$dtspre = $oPreciogestion->mostrar_precioxpuntoventa($_POST['cat_id'],$dt['tb_puntoventa_id']);		
	$numrowspre = mysqli_num_rows($dtspre);
					
	$dtp = mysqli_fetch_array($dtspre);
	$prevenf = $dtp['tb_precioproducto_prevenf'];
	$preven = $dtp['tb_precioproducto_preven'];
	$precos = $dtp['tb_precioproducto_precom'];
	$bon = $dtp['tb_precioproducto_bon'];
	
		?>
		<tr>
		<td>
		<div class="col-lg-12 col-sm-12 col-12 ">
 														
					<div class="input-group"> 
															
							<div class="icheck-primary" >
							<input type="checkbox"  id="chk_gespre_punvent_ori_<?php echo $dt['tb_puntoventa_id'];?>" 
							<?php if(isset($_SESSION["punvent_id"][$dt['tb_puntoventa_id']])) echo 'checked="checked"'; ?> >
							<label data-punvent_id="<?php echo $dt['tb_puntoventa_id'];?>" class="lbl_chk_punvent_des" for="chk_gespre_punvent_ori_<?php echo $dt['tb_puntoventa_id'];?>" ><?php echo $dt['tb_puntoventa_nom'];?></label>
							</div>
							
							
					</div>
 		</div>
		</td>
		<td><?php echo formato_money($precos); ?></td>
		<td><?php echo formato_money($preven); ?></td>
		<td><?php echo formato_money($prevenf); ?></td>
		<td><?php echo formato_money($bon); ?></td>
		</tr>
		
				
		<?php
			
		}
		
		?>	
</table>
	
	
	
	
	
<script type="text/javascript">
	
	
function seleccionar_puntoventa(act,punvent_id,check){
		
		//alert(punvent_id);
			$.ajax({
			type: "POST",
			url: "../gestionprecio/gestionprecio_reg.php",
			async:false,
			dataType: "json",                      
			data: ({
				act:act,
				punvent_id: punvent_id,
				check:check
			}),
			beforeSend: function() {
		
		},
		success: function(data){
			if(data.gespre_est==0){
				
				toastr["error"](data.gespre_msj);
			}else{
				
				toastr["info"](data.gespre_msj);
			}

		},
		complete: function(){
			mostrarPuntoventa($("#hdd_cat_id").val());
		}
	});
	}
	

	
	
$(function() {
	

		
		$(".lbl_chk_punvent_des").click(function(){
			
			punvent_id = $(this).attr('data-punvent_id');
			if($("#chk_gespre_punvent_ori_"+punvent_id).is(':checked')){
				
				///deseleccionar			
				seleccionar_puntoventa('seleccionarpuntoventa',punvent_id,'0');			
				//alert("------");
			}else{
				seleccionar_puntoventa('seleccionarpuntoventa',punvent_id,'1');
				///seleccionar
				//alert("Seleccionado");
			}
		});
		
		
		$("#btn_seleccionartodo").click(function(){
				seleccionar_puntoventa('seleccionartodo');
		});
		
		$("#btn_deseleccionartodo").click(function(){
				seleccionar_puntoventa('restablecer');
		});
		
		
	});
</script>